Compatibility list

More
5 years 8 months ago - 5 years 8 months ago #61 by SiriusHours
Replied by SiriusHours on topic Compatibility list
all version have worked fine with GTAIV. d3d9.dll. Depth buffer works too, havent noticed any issues with either sweetfx version or Martys MER.
I dont know if you care or not but ENB works, but lots of crashes for whatever reason. Never had an issue on a vanilla/fresh install for the game either. Patch 1.0.7.0 and EFLC.

LOGS pastebin
--When it works w/ENB. log as is
Warning: Spoiler!


--When it doesnt work w/ENB
Warning: Spoiler!
Last edit: 5 years 8 months ago by SiriusHours.
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #62 by crosire
Replied by crosire on topic Compatibility list

SiriusHours wrote: I dont know if you care or not but ENB works, but lots of crashes for whatever reason.

Looks to me like the hooking interfers (which depending on who hooks first works or crashes): The crashing log shows "Direct3DCreate9" called repeatingly, which I asume means it calls itself again and again, because the information about where the original function lies is lost during that overwriting.

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago - 5 years 8 months ago #63 by brussell
Replied by brussell on topic Compatibility list
-Hitman 3 Contracts: d3d8, works, even the depthbuffer (but some graphical glitches: texture clipping)
-Aliens vs Predator 2: doesn't work (d3d8?)
-Jedi Knight 2: Jedi Outcast: doesn't work (d3d8?)
-Call of Duty 4: Modern Warfare: d3d9, works, with depthbuffer
Last edit: 5 years 8 months ago by brussell.
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #64 by vfxninjaeditor
Replied by vfxninjaeditor on topic Compatibility list
I would like to make a note that Wolfenstein: TNO doesn't have depth buffer access. That might need to be corrected on the compatibility list.

Halo: Combat Evolved works. Depth buffer access. d3d9.
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago - 5 years 8 months ago #65 by SiriusHours
Replied by SiriusHours on topic Compatibility list
wonder if the enbinjector would help, maybe not. iunno. not too familiar with it. Ill make due for now, thank for the reply
Last edit: 5 years 8 months ago by SiriusHours.

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #66 by strelokgunslinger
Replied by strelokgunslinger on topic Compatibility list
Clive Barker's Jericho - & Depth Buffer - d3d9.dll x86

0.13.x
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago - 5 years 8 months ago #67 by brussell
Replied by brussell on topic Compatibility list
-Aliens vs Predator Classic 2000: d3d9, works, depthbuffer only shows fps hands
-Unreal Tournament 2004: d3d8, works, depthbuffer only shows fps hands in first person view, in third person view it works correctly
-Race Driver Grid: d3d9, works, depthbuffer works when no particles are on screen (tire smoke, dirt) - you can disable particles in game menu
-Chronicles of Riddick: Dark Athena: opengl32, works, no depthbuffer (SMAA darkens the screen)
-Ghost Recon: Advanced Warfighter 2: d3d9, works, no depthbuffer

@Crosire: Maybe you misunderstood me, the texture/shader glitches in Hitman 3 are independent of the depth buffer and show up even when no additional shaders are in use. So it doesn't deserve a perfect rating (not even good).
Last edit: 5 years 8 months ago by brussell.
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #68 by crosire
Replied by crosire on topic Compatibility list

brussell wrote: @Crosire: Maybe you misunderstood me, the texture/shader glitches in Hitman 3 are independent of the depth buffer and show up even when no additional shaders are in use. So it doesn't deserve a perfect rating (not even good).

I must have overseen that, sorry. Updated =)

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #69 by SunBroDave
Replied by SunBroDave on topic Compatibility list
Hey cros, I was looking over the compatibility list and I noticed a few things that need correcting. They're small things so I'm not sure how much you care, but for the sake of having an accurate reference for game compatibility, I figured I'd let you know anyway:
- Assassin's Creed Black Flag uses dxgi.dll, not d3d9.dll
- Assassin's Creed Relvations should be "Assassin's Creed Revelations"
- Dark Soulds II should be "Dark Souls II"
- Devil May Cry should be "DmC: Devil May Cry"
- Dolphin emulator should be "Good" as there's no depthbuffer access
- Mirrors Edge should be "Mirror's Edge"
- Wasteland should be "Wasteland 2"
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #70 by vfxninjaeditor
Replied by vfxninjaeditor on topic Compatibility list
Lego Lord of the Rings, Indiana Jones 2, Star Wars 3: The Clone Wars - No depth buffer access + d3d9
I assume all Lego games are like this. These are all relatively recent titles.

Call of Juarez: Bound in Blood - Depth buffer access + d3d9
Call of Juarez Gunslinger - Depth buffer access + d3d9
The following user(s) said Thank You: crosire

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago #71 by crosire
Replied by crosire on topic Compatibility list
Thank you, fixed and updated =)

Please Log in or Create an account to join the conversation.

More
5 years 8 months ago - 5 years 8 months ago #72 by taylor
Replied by taylor on topic Compatibility list
  • ok so,
    the evil within 0.11.4 dxgi.dlll perfect,
    darksider 0.10.0 d3d9.dl perfect,
    call of duty:modern warfare 2 0.12.0 d3d9.dll perfect,
    call of duty:modern warfare 3 0.12.0 d3d9.dll perfect,
    call off duty:black ops 0.12.0 d3d9.dll perfect,
    Resident Evil 6 0.12.0 d3d9.dll good no depthbuffer,.
    Tomb Raider - Underworld (2008)-0.13.0 d3d9.dll good no depthbuffer,

    keep up the good work.
    best regards
    jt
  • Last edit: 5 years 8 months ago by taylor. Reason: spelling
    The following user(s) said Thank You: crosire

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago #73 by strelokgunslinger
    Replied by strelokgunslinger on topic Compatibility list

    taylor wrote:

  • ok so,
    the evil within 0.11.4 dxgi.dlll perfect,
    darksider 0.10.0 d3d9.dl perfect,
    call of duty:modern warfare 2 0.12.0 d3d9.dll perfect,
    call of duty:modern warfare 3 0.12.0 d3d9.dll perfect,
    call off duty:black ops 0.12.0 d3d9.dll perfect,
    Resident Evil 6 0.12.0 d3d9.dll good no depthbuffer,.
    Tomb Raider - Underworld (2008)-0.13.0 d3d9.dll good no depthbuffer,

    keep up the good work.
    best regards
    jt

  • How is The Evil Within running on DX10/11 from what you typed = dxgi.dll

    I am sure that game is OpenGL - in that case its opengl32.dll - unless that was a typo :/

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago #74 by taylor
    Replied by taylor on topic Compatibility list

    strelokgunslinger wrote:

    taylor wrote:

  • ok so,
    the evil within 0.11.4 dxgi.dlll perfect,
    darksider 0.10.0 d3d9.dl perfect,
    call of duty:modern warfare 2 0.12.0 d3d9.dll perfect,
    call of duty:modern warfare 3 0.12.0 d3d9.dll perfect,
    call off duty:black ops 0.12.0 d3d9.dll perfect,
    Resident Evil 6 0.12.0 d3d9.dll good no depthbuffer,.
    Tomb Raider - Underworld (2008)-0.13.0 d3d9.dll good no depthbuffer,

    keep up the good work.
    best regards
    jt

  • How is The Evil Within running on DX10/11 from what you typed = dxgi.dll

    I am sure that game is OpenGL - in that case its opengl32.dll - unless that was a typo :/


    the dev's using a hybrid version of Idtech 5,so the game uses Directx11 api/libraries.

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago #75 by strelokgunslinger
    Replied by strelokgunslinger on topic Compatibility list
    now you are making me reinstall it again.. well I want to get some screenshots anyway because now I have a GTX970 and I completed the game on a bloody 560

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago - 5 years 8 months ago #76 by Nekrik
    Replied by Nekrik on topic Compatibility list

    How is The Evil Within running on DX10/11 from what you typed = dxgi.dll

    I am sure that game is OpenGL - in that case its opengl32.dll - unless that was a typo :/

    the dev's using a hybrid version of Idtech 5,so the game uses Directx11 api/libraries.


    Evil Within is using some modded IDtech 5 version which using some hybrid rendering API utilising both directX11 and opengl.
    Last edit: 5 years 8 months ago by Nekrik.

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago #77 by brussell
    Replied by brussell on topic Compatibility list
    I've tried the Jedi Knights again: They use opengl instead of d3d8 (as the compatibility list suggests).

    -Star Wars Jedi Knight 2 : Jedi Outcast: opengl32, works, depthbuffer works (SMAA darkens the screen)
    -Star Wars Jedi Knight 3 : Jedi Academy: opengl32, works, depthbuffer works (SMAA darkens the screen)

    -Far Cry 2: d3d9, works, no depthbuffer (dxgi doesn't work with the directx10 mode of the game)

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago - 5 years 8 months ago #78 by Follo
    Replied by Follo on topic Compatibility list
    Hi, Thx for the good work.

    I tested "Age of Conan" and Reshade0.13.0+SweetFX2.0 seems to work pretty good.
    Ijust recognized that the stats are not staying on all time.

    Here is the Logfile:

    Warning: Spoiler!


    Ok Know its not working anymore. The Launcher shows evrytime:
    "The Update Manager has encountered a problem and needs to close.

    21/01/2015 18:53:36,277 | WARN | Reference count for 'ID3D11Device' object (1) is inconsistent.
    21/01/2015 18:53:36,284 | INFO | Exiting ...
    21/01/2015 18:53:36,284 | INFO | Uninstalling 27 hook(s) ...
    21/01/2015 18:53:36,819 | INFO | Exited.
    21/01/2015 18:53:36,819 | ERROR | Exited.Unable to resolve hook for '0x62C0D870'!
    Last edit: 5 years 8 months ago by Follo.

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago #79 by brussell
    Replied by brussell on topic Compatibility list
    -Warhammer 40000: Dawn of War + Addons: d3d9, perfect
    -Penumbra Series: opengl32, perfect
    -Shadow Warrior (2013): d3d9, no depthbuffer access
    -Outlast: d3d9 & dxgi, no depthbuffer access
    -Trine 2, d3d9, no depthbuffer access
    -Flatout 2: d3d9, perfect
    -Prince of Persia (2008): d3d9, perfect (though the cellshaded characters have no depth (invisible in depthbuffer view))
    -Nexus: The Jupiter Incident: d3d9, perfect
    -Unreal Tournament 3: d3d9, no depthbuffer access
    -Ghost Recon: Advanced Warfighter: d3d9, no depthbuffer access
    -Legend of Grimrock: d3d9, perfect

    These use the first unreal engine. I've tried kentie's d3d10 renderer, but it gave me crashes. So the only option was opengl.
    -Rune Gold: opengl32, perfect (though short depthbuffer draw distance)
    -Deus Ex: opengl32, depth buffer shows only the weapon (most of sweetfx shaders scramble the screen, Martys ME works better)

    These don't work:
    -Homeworld 2, no hook, black screen
    -Etherlords 2, no hook

    @Nekrik: Are you sure about Hard Reset's depth buffer access? I've tried it with 0.13 and see nothing, not even the weapon (using an AMD card). Also if Hard Reset works for you, Shadow Warrior should give you the same result. Can you test it?
    The following user(s) said Thank You: crosire, Omnipotus

    Please Log in or Create an account to join the conversation.

    More
    5 years 8 months ago - 5 years 8 months ago #80 by Omnipotus
    Replied by Omnipotus on topic Compatibility list
    Keep up the great work guys, we appreciate all the info and testing, I'll be actively lurking this perticular thread from now on as to update the Compatibility List on the Front Page, check back for updates :D

    Also if anyone wants a quicker line of communication, feel free to add me on Steam = OmnipotusX and send me your test results via that method :D

    Edit #1 - Confirmed, Assassin's Creed II (Steam) is not working properly with 0.13.1, game launches but as soon as I load my data, CTD, no error...

    Edit #2 - Assassin's Creed: Brotherhood (Steam) is also not working, game launches and menu is fine, as soon as I load data, CTD but it spits out "ACBSP.exe - Application Error: instruction at 0x01a5f831 referenced memory at 0x00000008"

    Edit #3 - Assassin's Creed (Steam) works perfectly, in-game, loading, alt+tabbing and Depth Buffer access in DX9, will test DX10 later

    Edit #4 - Assassin's Creed III (Steam) works perfectly, in-game, loading, alt+tabbing and Depth Buffer seems to work in DX9

    Edit #5 - Assassin's Creed: Unity (Steam) works in-game, loading, alt+tabbing etc. but Depth Buffer = black screen....

    Edit #6 - I do not have access too Assassin's Creed: Liberation HD, someone else is gonna have to test that, AC: Revelations and Black Flag are currently downloading, I'll test those tomorrow and report back

    Edit #7 - Assassin's Creed IV: Black Flag (Steam) works in-game and all that jazz except Depth Buffer = white screen...

    Edit #8 - Assassin's Creed: Revelations (Steam) works in menu's but as soon as I go to Load file or start a new game, CTD and spits out "ACRSP.exe - Application Error: instruction at 0x00630ed3 referenced memory at 0x00000008"
    Last edit: 5 years 8 months ago by Omnipotus.
    The following user(s) said Thank You: crosire, K-putt

    Please Log in or Create an account to join the conversation.